Texa Desk Application API · Inboxes
List WhatsApp message templates
GET/
List the cached message templates available for a native or Twilio WhatsApp inbox
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idnumberrequiredID of the native or Twilio WhatsApp inbox
Query parameters
namestringExact template name to filter by
Responses
200Success
payloadarray of objectNative or Twilio WhatsApp message templates available for the inbox
metaobjectmeta.last_sync_attempt_atstring (date-time)Time when template synchronization was last attempted
404Inbox not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring422The inbox is not a WhatsApp inbox
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring